Bug 1176831 - OpenClipart included non-free images
Summary: OpenClipart included non-free images
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openclipart   
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2014-12-23 12:38 UTC by mejiko
Modified: 2015-04-21 18:37 UTC (History)
1 user (show)

Fixed In Version: openclipart-2.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-18 09:38:40 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 773808 None None None Never

Description mejiko 2014-12-23 12:38:46 UTC
Hello.

Openclipart included non-free images and missing license tag.
 
 
NON-FREE images list:


CC-BY-NC-SA

"/usr/share/clipart/openclipart/BHSPitMonkey/BHSPitMonkey_Old_School_Game_Controller.svg"
"/usr/share/clipart/openclipart/BHSPitMonkey/BHSPitMonkey_Old_School_Game_Controller_2.svg
"/usr/share/clipart/openclipart/SRD/SRD_Bundle_of_Hearts.svg"
"/usr/share/clipart/openclipart/antontw/antontw_Monkey.svg"
"/usr/share/clipart/openclipart/artfloid/artfloid_2_motos_de_face.svg"
"/usr/share/clipart/openclipart/artfloid/artfloid_2_motos_de_face_2.svg"
"/usr/share/clipart/openclipart/artfloid/artfloid_dauphin.svg"
"/usr/share/clipart/openclipart/bsantos/bsantos_No_respect_for_pedestrians.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Film_reel.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Pencil_10.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Pencil_11.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Pencil_12.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Pencil_13.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Reflected_Scene_Slate.svg"
"/usr/share/clipart/openclipart/dniezby/dniezby_Scene_Slate.svg"
"/usr/share/clipart/openclipart/fejack/fejack_2009_calendar.svg"
"/usr/share/clipart/openclipart/hyoga/hyoga_Chile.svg"
"/usr/share/clipart/openclipart/klepas/klepas_Movie_night_ticket.svg"
"/usr/share/clipart/openclipart/nodanero/nodanero_Cheese.svg"
"/usr/share/clipart/openclipart/pbhj/pbhj_this_class_is_FULL_sorry.svg"
"/usr/share/clipart/openclipart/rugby471/rugby471_Tango_Style_Cheese_Wheel.svg"
"/usr/share/clipart/openclipart/worms_x/worms_x_French_butter_croissant.svg"


CC-BY-NC 

"/usr/share/clipart/openclipart/Spidge/Spidge_SatNav.svg"
"/usr/share/clipart/openclipart/da5id1/da5id1_Mouse.svg"
"/usr/share/clipart/openclipart/da5id1/da5id1_Mouse_1.svg"
"/usr/share/clipart/openclipart/gabriel/gabriel_Cervejja.svg"
"/usr/share/clipart/openclipart/massimo/massimo_El_mulo_loco.svg"
"/usr/share/clipart/openclipart/nthiagaraj/nthiagaraj_Pongal_Pot_Line.svg"
"/usr/share/clipart/openclipart/pvalencia/pvalencia_Manzana.svg"
"/usr/share/clipart/openclipart/sigalaflecha/sigalaflecha_m_sico_hopi.svg"
"/usr/share/clipart/openclipart/pbhj/pbhj_creating_an_oval_vignette.svg"


copyright problematic. (I think)

"/usr/share/clipart/openclipart/KeyBlader30/KeyBlader30_Kirby_Meteor.svg"
"/usr/share/clipart/openclipart/El_Sato/El_Sato_Tux_The_penguin_in_sonic_style.svg"
"/usr/share/clipart/openclipart/nicubunu/nicubunu_Game_baddie_*.svg"


Unclear (I think)

"/usr/share/clipart/openclipart/mip/mip_Diarahmen_1.svg"



FREE (Fedora Acceptable Licensed) image. (NOT Public domain, I think.)


CC-BY:

/usr/share/clipart/openclipart/Anomaly/Anomaly_Glosnik.svg
/usr/share/clipart/openclipart/Anomaly/Anomaly_Slonce.svg
/usr/share/clipart/openclipart/JoelM/JoelM_RCA_CD_Player.svg
/usr/share/clipart/openclipart/Peileppe/Peileppe_Castle.svg
/usr/share/clipart/openclipart/Ricardo/Ricardo_Lente_Objetiva_lens_objective.svg
/usr/share/clipart/openclipart/Ricardo/Ricardo_Retro_Atack.svg
/usr/share/clipart/openclipart/adrix89/adrix89_head.svg
/usr/share/clipart/openclipart/antontw/antontw_White_Cat.svg
/usr/share/clipart/openclipart/anxobotana/anxobotana_opened_book.svg
/usr/share/clipart/openclipart/banjoman72/banjoman72_hunting_knife.svg
/usr/share/clipart/openclipart/beakman/beakman_Ace_of_hearts.svg
/usr/share/clipart/openclipart/beakman/beakman_Aces.svg
/usr/share/clipart/openclipart/beakman/beakman_Diagram_collection.svg
/usr/share/clipart/openclipart/keksschaf/keksschaf_Atta_Ant_1.svg
/usr/share/clipart/openclipart/kubitus/kubitus_windvane.svg
/usr/share/clipart/openclipart/laobc/laobc_Avocado.svg
/usr/share/clipart/openclipart/laobc/laobc_Coconut.svg
/usr/share/clipart/openclipart/mystica/mystica_(Heart)_Logotype.svg
/usr/share/clipart/openclipart/mystica/mystica_(Heart)_Logotype_1.svg
/usr/share/clipart/openclipart/mystica/mystica_15_hearts.svg
/usr/share/clipart/openclipart/mystica/mystica_Fortress_(Fantasy).svg
/usr/share/clipart/openclipart/rg1024/rg1024_Antique_Television.svg
/usr/share/clipart/openclipart/rg1024/rg1024_Leather_suitcase.svg
/usr/share/clipart/openclipart/rg1024/rg1024_Palm_tree.svg
/usr/share/clipart/openclipart/rg1024/rg1024_old_television_2.0.svg
/usr/share/clipart/openclipart/rg1024/rg1024_simple_radio.svg
/usr/share/clipart/openclipart/rg1024/rg1024_simple_tree.svg
/usr/share/clipart/openclipart/rg1024/rg1024_television_CRT.svg
/usr/share/clipart/openclipart/rosros/rosros_SHI4-2.svg
/usr/share/clipart/openclipart/rosros/rosros_SHI4.svg
/usr/share/clipart/openclipart/roystonlodge/roystonlodge_Torn_Paper_1.svg
/usr/share/clipart/openclipart/roystonlodge/roystonlodge_Torn_Paper_2.svg
/usr/share/clipart/openclipart/roystonlodge/roystonlodge_Torn_Paper_3.svg
/usr/share/clipart/openclipart/roystonlodge/roystonlodge_grad_hat.svg
/usr/share/clipart/openclipart/sebos71/sebos71_boom.svg
/usr/share/clipart/openclipart/tom/tom_Furness_cut-away.svg
/usr/share/clipart/openclipart/Anonymous/Anonymous_Flag_of_UK_Kernow_-_Cornwall.svg
/usr/share/clipart/openclipart/StRanger/StRanger_Rats.svg
/usr/share/clipart/openclipart/Stellaris/Stellaris_Basketball_1.svg
/usr/share/clipart/openclipart/TheStructorr/TheStructorr_cherries.svg
/usr/share/clipart/openclipart/TheStructorr/TheStructorr_pencil.svg
/usr/share/clipart/openclipart/adsise/adsise_Podiceps_cristatus.svg.svg
/usr/share/clipart/openclipart/adsise/adsise_osprey.svg
/usr/share/clipart/openclipart/adsise/adsise_ostrero.svg
/usr/share/clipart/openclipart/berteh/berteh_Map_of_Spain.svg
/usr/share/clipart/openclipart/berteh/berteh_flow_diagram_symbols.svg
/usr/share/clipart/openclipart/cafuego/cafuego_45_rpm.svg.svg
/usr/share/clipart/openclipart/carlotheman/carlotheman_Flower_of_Life_Symbol.svg
/usr/share/clipart/openclipart/coredump/coredump_Glassy_blue_cloud.svg
/usr/share/clipart/openclipart/ee/ee_Book_Flow.svg
/usr/share/clipart/openclipart/gabe_anguiano/gabe_anguiano_Cloud.svg
/usr/share/clipart/openclipart/hce/hce_birthday_card.svg
/usr/share/clipart/openclipart/holbernd/holbernd_Sternblume.svg
/usr/share/clipart/openclipart/igrx/igrx_3D_Pipeline.svg
/usr/share/clipart/openclipart/massimo/massimo_Sicilia.svg
/usr/share/clipart/openclipart/orru/orru_ChaplinBowler.svg
/usr/share/clipart/openclipart/orru/orru_TauSky.svg
/usr/share/clipart/openclipart/orru/orru_earth.svg
/usr/share/clipart/openclipart/orru/orru_hirundo.svg
/usr/share/clipart/openclipart/orru/orru_roses.svg
/usr/share/clipart/openclipart/paulprogrammer/paulprogrammer_CA_speed_limit_25_roadsign.svg
/usr/share/clipart/openclipart/paulprogrammer/paulprogrammer_CA_speed_limit_35_roadsign.svg
/usr/share/clipart/openclipart/paulprogrammer/paulprogrammer_CA_speed_limit_45_roadsign.svg
/usr/share/clipart/openclipart/paulprogrammer/paulprogrammer_CA_speed_limit_55_roadsign.svg
/usr/share/clipart/openclipart/paulprogrammer/paulprogrammer_CA_speed_limit_65_roadsign.svg
/usr/share/clipart/openclipart/rct36/rct36_LED.svg
/usr/share/clipart/openclipart/risto_pekkala/risto_pekkala_Dove_flying.svg
/usr/share/clipart/openclipart/spite/spite_Punk_Star.svg
/usr/share/clipart/openclipart/witchlines/witchlines_Arco_di_Traiano_a_Benevento.svg
/usr/share/clipart/openclipart/witchlines/witchlines_bear_toy_silhouette.svg
/usr/share/clipart/openclipart/witchlines/witchlines_il_paese_dei_balocchi_ludoteca_benevento.svg
/usr/share/clipart/openclipart/zager/zager_Czech_Tramway.svg

CC-BY-SA

/usr/share/clipart/openclipart/Andy/Andy_ant.svg
/usr/share/clipart/openclipart/Chrisdesign/Chrisdesign_Distortion_Filter_Pack.svg
/usr/share/clipart/openclipart/Chrisdesign/Chrisdesign_Sunset_Waterscene.svg
/usr/share/clipart/openclipart/SRD/SRD_hotdog.svg
/usr/share/clipart/openclipart/SRD/SRD_radish.svg
/usr/share/clipart/openclipart/WRomey/WRomey_Bicycle.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_10.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_11.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_12.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_2.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_3.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_4.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_5.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_6.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_7.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_8.svg
/usr/share/clipart/openclipart/akiross/akiross_Chess_Set_9.svg
/usr/share/clipart/openclipart/antontw/antontw_BlackCat_with_White_Sockets.svg
/usr/share/clipart/openclipart/antontw/antontw_Black_Cat2.svg
/usr/share/clipart/openclipart/aurium/aurium_blue_iris.svg
/usr/share/clipart/openclipart/doekia/doekia_turbo-compressor.svg
/usr/share/clipart/openclipart/evilnick/evilnick_Prime_Cuts.svg
/usr/share/clipart/openclipart/flomar/flomar_sunglasses.svg
/usr/share/clipart/openclipart/lfrb/lfrb_Triceratops_(Tango_style).svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Camera.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Fake_Ninja.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_General.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Gentelman.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Graduated.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_House_Painter.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Lady.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Ninja.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Older.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Pirate.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Professor.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Santa.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Soldier.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Toga.svg
/usr/share/clipart/openclipart/nicubunu/nicubunu_Comic_characters_Trekker.svg
/usr/share/clipart/openclipart/paulprogrammer/paulprogrammer_yellow_road_sign_-_two_way_traffic.svg
/usr/share/clipart/openclipart/pbhj/pbhj_A4_3mm_bleeds_landscape.svg
/usr/share/clipart/openclipart/permafrost91/permafrost91_Bald_Eagle.svg
/usr/share/clipart/openclipart/pterjan/pterjan_Christmas_candles.svg
/usr/share/clipart/openclipart/rejon/rejon_Ant_Icon.svg
/usr/share/clipart/openclipart/rockraikar/rockraikar_Orange_Mushroom.svg
/usr/share/clipart/openclipart/rockraikar/rockraikar_Wedding_Ring_in_a_Box.svg
/usr/share/clipart/openclipart/rugby471/rugby471_Tango_Style_Mushroom.svg
/usr/share/clipart/openclipart/skadge/skadge_SVG_widgets_for_diagrams.svg
/usr/share/clipart/openclipart/somar501/somar501_Toponimia_de_Autlan.svg
/usr/share/clipart/openclipart/somar501/somar501_Toponimia_de_Zapotlan_el_Grande.svg
/usr/share/clipart/openclipart/sophokles/sophokles_Shiny_Star.svg
/usr/share/clipart/openclipart/tandiljuan/tandiljuan_ping_ino_1.0.svg
/usr/share/clipart/openclipart/tandiljuan/tandiljuan_ping_ino_2.0.svg
/usr/share/clipart/openclipart/waielbi/waielbi_Zipper.svg
/usr/share/clipart/openclipart/waielbi/waielbi_wifi_pci_card.svg


GPL (Version 2.0)

/usr/share/clipart/openclipart/Archie/Archie_Che_Guevara.svg
/usr/share/clipart/openclipart/Archie/Archie_Mahatma_Gandhi.svg
/usr/share/clipart/openclipart/Archie/Archie_Money_euro_symbol.svg
/usr/share/clipart/openclipart/DynV/DynV_Warning_sign.svg
/usr/share/clipart/openclipart/Linuxien/Linuxien_Elephant.svg
/usr/share/clipart/openclipart/Linuxien/Linuxien_Leopard.svg
/usr/share/clipart/openclipart/Linuxien/Linuxien_Ours.svg
/usr/share/clipart/openclipart/Linuxien/Linuxien_Panda.svg
/usr/share/clipart/openclipart/Linuxien/Linuxien_Taureau.svg
/usr/share/clipart/openclipart/Linuxien/Linuxien_Tigre.svg
/usr/share/clipart/openclipart/SABROG/SABROG_Glass_Blue_Ball.svg
/usr/share/clipart/openclipart/SABROG/SABROG_Nokia2600.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Balloons.svg
/usr/share/clipart/openclipart/carlitos/carlitos_BikeWheel.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Cracked_Egg.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Egg.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Generic_20-pin_IC.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Generic_40-pins_IC.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Green_Worm.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Leaf.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Leaves.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Mr._Sun.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Resistor.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Simple_Pencil.svg
/usr/share/clipart/openclipart/carlitos/carlitos_Whiter_Egg.svg
/usr/share/clipart/openclipart/corbeau/corbeau_crow.svg
/usr/share/clipart/openclipart/flomar/flomar_kiwi_(bird).svg
/usr/share/clipart/openclipart/kobo/kobo_Soccer_toon.svg
/usr/share/clipart/openclipart/kobo/kobo_Soccer_toon_2.svg
/usr/share/clipart/openclipart/nfroidure/nfroidure_Eagle.svg
/usr/share/clipart/openclipart/zerothis/zerothis_swindowstika.svg


CC-BY or GPL

/usr/share/clipart/openclipart/usegroup/usegroup_Gnu_speaking.svg


LGPL (Version 2.1)

/usr/share/clipart/openclipart/Linuxien/Linuxien_Panthere.svg
/usr/share/clipart/openclipart/erlan/erlan_LTO.svg
/usr/share/clipart/openclipart/headwar/headwar_Warning_sign_orange_rounded.svg

GFDL or CC-BY-SA

/usr/share/clipart/openclipart/SnarkHunter/SnarkHunter_Arrow_in_the_gold.svg
/usr/share/clipart/openclipart/mystica/mystica_15_hearts.svg
/usr/share/clipart/openclipart/zesarvictoria/zesarvictoria_plasma_tv_red.svg
/usr/share/clipart/openclipart/sonichedgehog/sonichedgehog_smiler.svg
/usr/share/clipart/openclipart/gnu_d/gnu_d_Me_anime_1.svg
/usr/share/clipart/openclipart/Rfc1394/Rfc1394_USA_Canada_time_zone_map.svg



Suggests:

1. Remove non-free images and rebuild, and add license tag.

2. Replace Fedora free (Fedora acceptable licensed) images, and add license tag.

3. Remove Fedora repos.


Thanks.


Reference:


https://www.nintendo.com/terms-of-use
http://www.bandainamco.co.jp/en/
http://www.sega.com/EULA/

Comment 1 mejiko 2014-12-23 12:39:49 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Jaroslav Reznik 2015-03-03 16:39:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Update System 2015-04-02 13:11:47 UTC
openclipart-2.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openclipart-2.0-3.fc22

Comment 4 Fedora Update System 2015-04-02 13:11:54 UTC
openclipart-2.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openclipart-2.0-3.fc21

Comment 5 Fedora Update System 2015-04-02 13:11:59 UTC
openclipart-2.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openclipart-2.0-3.fc20

Comment 6 Fedora Update System 2015-04-02 18:59:34 UTC
Package openclipart-2.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openclipart-2.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5407/openclipart-2.0-3.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-04-18 09:38:40 UTC
openclipart-2.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-18 09:42:36 UTC
openclipart-2.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-21 18:37:18 UTC
openclipart-2.0-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.